;************************************************************************
;*	H8/3694V{`				Ver. 1.00	*
;************************************************************************
Fclk		.equ	20000000	;20MHz
TVcycl		.equ	Fclk/128/1000	;156(1kHz)

;************************************************************************
;*  ϐ:`FF7F								*
VALIABLE	.equ	H'FF52
;************************************************************************
FLAGS		.equ	H'FF52		;gp
LCD_D		.equ	H'FF53		;LCDւ̃f[^RAM(1oCg)
RELTMP		.equ	H'FF54		;ItZbg\pꎞL
RELREF		.equ	RELTMP+2	;ItZbg\̃x[X
TWBUF		.equ	H'FF58		;Lv`TW̒l
TWBUFR		.equ	H'FF5C
LCD162		.equ	H'FF60		;162s̃f[^
LCD162P7	.equ	LCD162+7
LCD162P22	.equ	LCD162+7+15

;************************************************************************
;*  I/O								*
;************************************************************************
IEGR1	.equ	H'FFF2
IEGR2	.equ	H'FFF3
IENR1	.equ	H'FFF4
IEN3	.bequ	3,IENR1
IENTA	.bequ	6,IENR1

IRR1	.equ	H'FFF6
IRRI3	.bequ	3,IRR1
IRRTA	.bequ	6,IRR1

;<Timer A>
TMA	.equ	H'FFA6
TCA	.equ	H'FFA7

;<Timer V>
TCNTV	.equ	H'FFA4
TCORA	.equ	H'FFA2
TCORB	.equ	H'FFA3
TCRV0	.equ	H'FFA0
TCSRV	.equ	H'FFA1
CMFA	.bequ	6,TCSRV
TCRV1	.equ	H'FFA5

;<Timer W>
TMRW	.equ	H'FF80
CTS	.bequ	7,TMRW
TCRW    .equ	H'FF81
TIERW   .equ	H'FF82
TSRW    .equ	H'FF83
OVF	.bequ	7,TSRW
IMFD	.bequ	3,TSRW
IMFC	.bequ	2,TSRW
IMFB	.bequ	1,TSRW
IMFA	.bequ	0,TSRW
TIOR0   .equ	H'FF84
TIOR1   .equ	H'FF85
TCNT	.equ	H'FF86
GRA 	.equ	H'FF88
GRB 	.equ	H'FF8A
GRC 	.equ	H'FF8C
GRD 	.equ	H'FF8E

;<WDT>
TCSRWD	.equ	H'FFC0
TCWD  	.equ	H'FFC1
TMWD  	.equ	H'FFC2

;A/D
ADDRA	.equ	H'FFB0		;ADf[^WX^AH
ADDRB	.equ	H'FFB2		;ADf[^WX^AH
ADDRC	.equ	H'FFB4		;ADf[^WX^AH
ADDRD	.equ	H'FFB6		;ADf[^WX^AH
ADCSR	.equ	H'FFB8		;ADRg[[gWX^
ADST	.bequ	5,ADCSR		;AD̊JntO
ADF	.bequ	7,ADCSR		;AD̑ItO
ADCR	.equ	H'FFB9

;<I/Oport>
PMR1	.equ	H'FFE0
PCR1	.equ	H'FFE4
PDR1	.equ	H'FFD4
LCD_RS	.bequ	0,PDR1
LCD_RW	.bequ	1,PDR1
LCD_E	.bequ	2,PDR1
SW_OFS	.bequ	7,PDR1
PUCR1	.equ	H'FFD0
PCR2	.equ	H'FFE5
PDR2	.equ	H'FFD5
PMR5	.equ	H'FFE1
PCR5	.equ	H'FFE8
PDR5	.equ	H'FFD8
PUCR5	.equ	H'FFD1
PCR7	.equ	H'FFEA
PDR7	.equ	H'FFDA
PCR8	.equ	H'FFEB
PDR8	.equ	H'FFDB
R_LED	.bequ	1,PDR8
G_LED	.bequ	0,PDR8
S2	.bequ	2,PDR8
S3	.bequ	3,PDR8
PDRB	.equ	H'FFDD

